=== debian/control ===
Source: libxpm
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 quilt,
 dpkg-dev (>= 1.16.0),
 automake,
 libtool,
 xutils-dev (>= 1:7.5+4),
 libx11-dev (>= 1:0.99.2),
 libxt-dev (>= 1:0.99.1-5),
 x11proto-core-dev (>= 7.0.17),
 libxext-dev (>= 1:0.99.1),
 pkg-config,
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/pkg-xorg/lib/libxpm
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/lib/libxpm.git

Package: libxpm4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: X11 pixmap library
 libXpm provides support and common operation for the XPM pixmap format, which
 is commonly used in legacy X applications.  XPM is an extension of the
 monochrome XBM bitmap specified in the X protocol.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libXpm

Package: libxpm4-dbg
Section: debug
Architecture: any
Multi-Arch: same
Priority: extra
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libxpm4 (= ${binary:Version}),
Description: X11 pixmap library (debug package)
 libXpm provides support and common operation for the XPM pixmap format, which
 is commonly used in legacy X applications.  XPM is an extension of the
 monochrome XBM bitmap specified in the X protocol.
 .
 This package contains the debug versions of the library found in libxpm4.
 Non-developers likely have little use for this package.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libXpm

Package: libxpm-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libxpm4 (= ${binary:Version}),
 libx11-dev,
 x11proto-core-dev,
Description: X11 pixmap library (development headers)
 libXpm provides support and common operation for the XPM pixmap format, which
 is commonly used in legacy X applications.  XPM is an extension of the
 monochrome XBM bitmap specified in the X protocol.
 .
 This package contains the development headers for the library found in
 libxpm4.  Non-developers likely have little use for this package.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libXpm

Package: xpmutils
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: X11 pixmap utilities
 This package provides two tools, cxpm and sxpm.
 .
 cxpm is a tool to check the integrity of an XPM file.
 .
 sxpm is a tool to view XPM files, and takes a number of options.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libXpm
