=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the Debian libxpm package.
# Copyright © 2004 Scott James Remnant <scott@netsplit.com>
# Copyright © 2005 Daniel Stone <daniel@fooishbar.org>
# Copyright © 2005 David Nusinow <dnusinow@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# set this to the name of the main shlib's binary package
PACKAGE = libxpm4

%:
	dh $@ --with quilt,autoreconf --builddirectory=build/ --parallel

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules XPM_PATH_COMPRESS=/usr/bin/compress XPM_PATH_UNCOMPRESS=/bin/uncompress XPM_PATH_GZIP=/bin/gzip

override_dh_install:
	dh_install --fail-missing -XlibXpm.la

override_dh_strip:
	dh_strip -p$(PACKAGE) --dbg-package=$(PACKAGE)-dbg
	dh_strip -N$(PACKAGE)
