=== debian/watch ===
#git=git://anongit.freedesktop.org/xorg/lib/libXpm
version=3
http://xorg.freedesktop.org/releases/individual/lib/ libXpm-(.*)\.tar\.gz
