## libxpm 3.5.12-1+apricot-1

=== debian/changelog ===
libxpm (1:3.5.12-1+apricot-1) unstable; urgency=medium

  [ Andreas Boll ]
  * New upstream release.
  * Let uscan verify tarball signatures.
  * Improve package description (Closes: #646992).  Thanks, Justin B
    Rye!
  * Switch URLs to https.
  * Remove obsolete xsfbs.
  * Add placeholder comment into series file.
  * Bump debhelper compat to 10.
    - Drop build-deps on dh-autoreconf, automake and libtool.
  * Stop passing --disable-silent-rules to configure, debhelper does
    that for a while.
  * Drop no longer needed dpkg-dev versioned build-dependency.

  [ Emilio Pozuelo Monfort ]
  * Switch to -dbgsym packages.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 22 Dec 2016 17:17:47 +0100
